% =========================================================================
%   Praktikum MATLAB/Simulink II
%   Technische Universität Darmstadt
%   IAT, FG rtm (Prof. Dr.-Ing. U. Konigorski)
%
%   Copyright (c) 2017, FG Regelungstechnik und Mechatronik,
%                       Technische Universität Darmstadt
%   All rights reserved.
%
%   Redistribution and use in source and binary forms, with or withou
%   modification, are permitted provided that the following conditions are
%   met:
%
%   1. Redistributions of source code must retain the above copyright
%      notice, this list of conditions and the following disclaimer.
%
%   2. Redistributions in binary form must reproduce the above copyright
%      notice, this list of conditions and the following disclaimer in the
%      documentation and/or other materials provided with the distribution.
%
%
%   THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
%   "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
%   LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
%   A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
%   HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
%   SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
%   LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
%   DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
%   THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
%   (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
%   OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

% =========================================================================

function Aufgabe_VglZustandsraummmodelle
% Vergleich der Zustandsraummodelle
    
    clc

    %% Sechs Zustandsmodelle laden
    para

    %% unterer (stabiler) AP
    disp( 'unterer (stabiler) AP' );
    disp( 'sämtliche Dämpfung enthalten' )
    [A1,B] = initLinear( l, mp, ms, Rs, Rp, g, 0 );
    B
    A1
    disp( 'keine Dämpfung im Gelenk' );
    [A2] = initLinear( l, mp, ms, Rs, 0, g, 0 );
    A2
    disp( 'gar keine Dämpfung' );
    [A3] = initLinear( l, mp, ms, 0, 0, g, 0 );
    A3

    
    %% oberer (instabiler) AP
    disp( 'oberer (instabiler) AP' );
    disp( 'sämtliche Dämpfung enthalten' );
    [A1,B] = initLinear( l, mp, ms, Rs, Rp, g, pi );
    B
    A1
    disp( 'keine Dämpfung im Gelenk' );
    [A2] = initLinear( l, mp, ms, Rs, 0, g, pi );
    A2
    disp( 'gar keine Dämpfung' );
    [A3] = initLinear( l, mp, ms, 0, 0, g, pi );
    A3
    
end